body {
    font-family: 'Kalam', cursive;

}

.content {
    background-image: url("../images/logoOrGarriguesImg.webp");
    padding-top: 100px;
    top: 50;
    left: 0;
    width: 100%;
    max-width: 100%;
    height: 100%;
    background-size: cover;
    /* Pour redimensionner l'image tout en maintenant le rapport hauteur/largeur */
    background-position: center;
    /* Pour centrer l'image */
    z-index: -1;
}

.container {
    width: 100%;
    margin: 0 auto;
    padding: 0 20px;
    justify-content: center;
}

.flex {
    display: flex;
    justify-content: justify;
    align-items: start;
    flex-wrap: wrap;
}

.flex-start {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.flex-end {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.nav {
    display: flex;

}

/* Personalisation des nav-link pour les états survolés et focus */

.nav-link {
    padding: 10px;
    text-decoration: none;
    color: white;
    font-size: 1rem;
}

.nav-link:hover,
.nav-link:focus {
    font-weight: bold;
    color: white;
    text-decoration: none;
}


/* Ajouts Media queries pour version Tablet & Desktop*/
@media screen and (min-width: 768px) {
    .nav-link {
        font-size: 1.5rem;
    }
}

/* Personnalisation des login-link pour les etats survolés et focus */

.login-link {
    padding: 10px;
    text-decoration: none;
    color: white;
    font-size: 20px;
}

.login-link:hover,
.login-link:focus {
    font-weight: bold;
    color: white;
    text-decoration: none;
}




/* Header responsive design OK */

header {
    background-image: url("../images/HeaderOrDeGarrigues.webp");
    max-height: 300px;
    margin: 0 auto;
    padding: 40px;

}

/* *********** */



.divTransparente {
    /* From https://css.glass */
    background: rgba(16, 16, 16, 0.51);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(2px);
    -webkit-backdrop-filter: blur(2px);
    border: 1px solid rgba(16, 16, 16, 0.26);

}

.loginForm {
    max-width: 800px;
}

.contactForm {
    max-width: 1000px;
}

/* Accueil */

/* Mobile first responsive design*/
.imgHome {
    width: 250px;
    height: 300px;
    justify-content: center;
}

/* Ajouts Media queries pour version Tablet & Desktop*/
@media screen and (min-width: 768px) {
    .imgHome {
        width: 450px;
        height: 500px;
    }
}

.divTransparenteCenter {
    display: block;
    position: relative;
    width: 100%;
    margin: 0;
    padding: 40px;
    text-align: center;
    /* From https://css.glass */
    background: rgba(16, 16, 16, 0.51);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(2px);
    -webkit-backdrop-filter: blur(2px);
    border: 1px solid rgba(16, 16, 16, 0.26);

}


.gold {
    color: goldenrod;
}

.white {
    color: white;
}

/* FONT SIZE */

/*Mobil first responsive OK */

i {
    font-size: 15px;
    color: white;
    margin-left: 10px;
    margin-right: 10px;
}

p {
    font-size: 15px;
}


/* Ajouts Media queries pour version Tablets et Desktop */
@media screen and (min-width: 768px) {

    i {
        font-size: 1.25rem;
    }

    p {
        font-size: 1.25rem;
    }

    h1 {
        font-size: 2.75rem;
    }

    h2 {
        font-size: 2.25rem;
    }

    h3 {
        font-size: 2rem;
    }

    h4 {
        font-size: 1.9rem;
    }

    h5 {
        font-size: 1.7rem;
    }

    .nav-link {
        font-size: 1.2rem;
    }

    label {
        font-size: 1.5rem;
    }

    button {
        font-size: 1.5rem;
    }
}


#price {
    color: goldenrod;
}

/* FOOTER */

footer {
    background-color: black;
}

.copyright {
    text-align: center;
}






/* Mobile first responsive design*/
.footer-flex {
    display: flex;
    justify-content: space-between;
    /* Place les div aux extrémités */
    align-items: center;
    /* Centre les div verticalement */
    flex-direction: column;
    /* Empile les div verticalement */

}

.footer-contact {
    width: 100%;
    /* Occupe toute la largeur disponible en version mobile */
    margin-bottom: 10px;

}

.footer-legal {
    width: 100%;
    /* Occupe toute la largeur disponible en version mobile */
    margin-bottom: 10px;
}

/* Ajouts Media queries pour version Tablets et Desktop */
@media screen and (min-width: 768px) {

    .footer-contact {
        width: 50%;
        text-align: start;

    }

    .footer-legal {
        width: 50%;
        text-align: end;
    }
}

/* ********** */
.footer-link {
    font-size: 40px;
    font-weight: bold;
    color: white;
    text-decoration: none;
    margin-left: 10px;
}

.footer-link:hover,
.footer-link:focus {
    font-weight: bold;
    color: white;
    text-decoration: none;
}

#adress {
    font-size: 20px;
}

.footer-contact {
    float: right;
}

.footer-legal {
    float: left;
}

/* ********************** */

/* HISTORIES **/

/* Mobile first */

.card-title {
    color: white;
}

.card-text {
    color: white;
}

.card-year {
    color: gold;
}

.card {

    margin-bottom: 10px;
    /* Espacement vertical entre les cartes */
    /* From https://css.glass */
    background: rgba(16, 16, 16, 0.51);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(2px);
    -webkit-backdrop-filter: blur(2px);
    border: 1px solid rgba(16, 16, 16, 0.26);
    color: white;
}

.custom-row {
    display: flex;
    flex-wrap: wrap;
}

.card-custom-left {
    margin-right: 0px;
    /* Décalage pour aligner la carte à gauche */
}

.card-custom-right {
    margin-left: auto;
    /* Décalage pour aligner la carte à droite */
}



/* Ajouts Media queries pour version Desktop*/
@media screen and (min-width: 1024px) {


    .card-custom-left {
        margin-right: 500px;
        /* Décalage pour aligner la carte à gauche */
    }


}

/* EVENTS **/

/* Mobile first */

.eventModal-img {
    width: 100%;
    /* L'image occupe 100% de la largeur de son conteneur */
    max-height: 300px;
    /* Hauteur fixe de 300 pixels */
    height: auto;
    /* L'image conserve son rapport hauteur/largeur d'origine */
    display: block;
    /* Élimine l'espace réservé au-dessous de l'image */
    margin: 0 auto;
    /* Centre l'image horizontalement */
}

.card-img {
    width: 100%;
    height: 100%;
}

/* PRODUCTS **/
/* mobile First */
.stockNotification {

    position: absolute;
    transform: rotate(-45deg);
    transform-origin: top right;
    background-color: #f00;
    text-wrap: nowrap;
    top: 10%;
    left: -10%;
    font-size: 200%;
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
}



.card-img-top {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}